BrowserCategory["QDensity", None, 
  {

    BrowserCategory["Introductory Tutorial", None, 
      {
        Item["Getting started", "Tutorial.nb", CopyTag -> "b:5.0", IndexTag -> "QDensity5.0"],
        BrowserCategory["Basic operations", None, 
          {
            Item["a) Single qubit states", "Tutorial.nb", CopyTag -> "b:5.1.0", IndexTag -> "QDensity5.1.0"],
            Item["b) MultiQubit states", "Tutorial.nb", CopyTag -> "b:5.1.1", IndexTag -> "QDensity5.1.1"],
            Item["c) Bell and GHZ states", "Tutorial.nb", CopyTag -> "b:5.1.2", IndexTag -> "QDensity5.1.2"],
            Item["d) Subsystems, partial traces", "Tutorial.nb", CopyTag -> "b:5.1.3", IndexTag -> "QDensity5.1.3"],
            Item["e) Pauli Spin matrices", "Tutorial.nb", CopyTag -> "b:5.1.4", IndexTag -> "QDensity5.1.4"]
          }
        ],
        BrowserCategory["Quantum Gates", None, 
          {
            Item["a) Single qubit operations: Hadmards and rotations", "Tutorial.nb", CopyTag -> "b:5.2.0", IndexTag -> "QDensity5.2.0"],
            Item["b) Two Qubit operations: CNOT gate", "Tutorial.nb", CopyTag -> "b:5.2.1", IndexTag -> "QDensity5.2.1"],
            Item["c) Two Qubit operations (CPHASE)", "Tutorial.nb", CopyTag -> "b:5.2.2", IndexTag -> "QDensity5.2.2"],
            Item["d) Two Qubit operations, TwoOp", "Tutorial.nb", CopyTag -> "b:5.2.3", IndexTag -> "QDensity5.2.3"]
          }
        ],
        BrowserCategory["Measurements", None, 
          {
            Item["a) Measuring  in the computational bases with density matrix", "Tutorial.nb", CopyTag -> "b:5.3.0", IndexTag -> "QDensity5.3.0"],
            Item["b) Measuring  in the computational bases using MeasureKet", "Tutorial.nb", CopyTag -> "b:5.3.1", IndexTag -> "QDensity5.3.1"],
            Item["c) Example with measurements in the X and Y bases using the density matrix", "Tutorial.nb", CopyTag -> "b:5.3.2", IndexTag -> "QDensity5.3.2"]
          }
        ],
        BrowserCategory["Miscellaneous", None, 
          {
            Item["a) Von Neumann Entropy", "Tutorial.nb", CopyTag -> "b:5.4.0", IndexTag -> "QDensity5.4.0"],
            Item["b) Fidelity", "Tutorial.nb", CopyTag -> "b:5.4.1", IndexTag -> "QDensity5.4.1"],
            Item["c) GHZ study", "Tutorial.nb", CopyTag -> "b:5.4.2", IndexTag -> "QDensity5.4.2"],
            Item["d) Werner State Study", "Tutorial.nb", CopyTag -> "b:5.4.3", IndexTag -> "QDensity5.4.3"]
          }
        ]
      }
    ],
    BrowserCategory["Basics of Cluster Model ", None, 
      {
        BrowserCategory["Cluster State basics:", None, 
          {
            Item["Discard Theorem", "Cluster.nb", CopyTag -> "b:0.0.0", IndexTag -> "QDensity0.0.0"],
            Item["Identity Gate with 3 qubits", "Cluster.nb", CopyTag -> "b:0.0.1", IndexTag -> "QDensity0.0.1"]
          }
        ],
        BrowserCategory["An example of CNOT gate in the cluster model approach", None, 
          {
            Item["Step 1: Build the cluster state", "Cluster.nb", CopyTag -> "b:0.1.0", IndexTag -> "QDensity0.1.0"],
            Item["Step 2: Measure qubits 1 and 2 in the X basis", "Cluster.nb", CopyTag -> "b:0.1.1", IndexTag -> "QDensity0.1.1"],
            Item["Step 3: Undo prefactor cluster operations and compare to usual CNOT gate", "Cluster.nb", CopyTag -> "b:0.1.2", IndexTag -> "QDensity0.1.2"]
          }
        ]
      }
    ],
    BrowserCategory["Grover searching algorithms", None, 
      {
        BrowserCategory["Grover Searching Algorithm-Single Marked Item.", None, 
          {
            Item["Step 1: Setting the conditions", "Grover.nb", CopyTag -> "b:1.0.0", IndexTag -> "QDensity1.0.0"],
            Item["Step 2: Building the Grover operator", "Grover.nb", CopyTag -> "b:1.0.1", IndexTag -> "QDensity1.0.1"],
            Item["Step 3: Apply the Grover operator a certain number of times", "Grover.nb", CopyTag -> "b:1.0.2", IndexTag -> "QDensity1.0.2"],
            Item["Step 4: Analyze results ", "Grover.nb", CopyTag -> "b:1.0.3", IndexTag -> "QDensity1.0.3"]
          }
        ],
        BrowserCategory["Grover Searching Algorithm-Two Marked Items.", None, 
          {
            Item["Step 1: Setting the conditions", "Grover.nb", CopyTag -> "b:1.1.0", IndexTag -> "QDensity1.1.0"],
            Item["Step 2: Prepare the Grover operator", "Grover.nb", CopyTag -> "b:1.1.1", IndexTag -> "QDensity1.1.1"],
            Item["Step 3: Apply the Grover Operator ntry times", "Grover.nb", CopyTag -> "b:1.1.2", IndexTag -> "QDensity1.1.2"],
            Item["Step 4: Analyze results", "Grover.nb", CopyTag -> "b:1.1.3", IndexTag -> "QDensity1.1.3"]
          }
        ]
      }
    ],
    BrowserCategory["Quantum Fourier Transform", None, 
      {
        BrowserCategory["Quantum Fourier Transform", None, 
          {
            Item["a) Quantum Fourier Transform using vectors", "QFT.nb", CopyTag -> "b:2.0.0", IndexTag -> "QDensity2.0.0"],
            Item["b) Quantum Fourier Transform using  density matrices", "QFT.nb", CopyTag -> "b:2.0.1", IndexTag -> "QDensity2.0.1"]
          }
        ]
      }
    ],
    BrowserCategory["Shor's factoring algorithms", None, 
      {
        Item["Four examples of Shor's factoring algorithm", "Shor.nb", CopyTag -> "b:3.0", IndexTag -> "QDensity3.0"],
        BrowserCategory["Shor's Factoring algorithm using density matrix", None, 
          {
            Item["Step 0: Preliminars: Define functions for QFT [check QFT.nb ] and NumberTheory", "Shor.nb", CopyTag -> "b:3.1.0", IndexTag -> "QDensity3.1.0"],
            Item["Step 1: Choose the number to be factorized: 15, 21, 33, 35, 39, 55, 77 and determine size of registers needed", "Shor.nb", CopyTag -> "b:3.1.1", IndexTag -> "QDensity3.1.1"],
            Item["Step 2: Load the first register with the integers less than or equal to BoxData[\\(TraditionalForm\\`\\(2\\^\\(n\\_1\\) - 1\\)\\)](a.k.a. Hadamard all qubits in register 1)", "Shor.nb", CopyTag -> "b:3.1.2", IndexTag -> "QDensity3.1.2"],
            Item["Step 3: Select an integer (xguess) coprime to M and load BoxData[\\(TraditionalForm\\`\\(f\\_j \[Congruent]\\ \\(\\(\\(xguess\\^j\\)(\\(mod\\ M\\))\\)\\ into\\ the\\ second\\ register\\)\\)\\)]", "Shor.nb", CopyTag -> "b:3.1.3", IndexTag -> "QDensity3.1.3"],
            Item["Step 4: Now we measure the state of the second register", "Shor.nb", CopyTag -> "b:3.1.4", IndexTag -> "QDensity3.1.4"],
            Item["Step 5: Perform the inverse QFT on first register", "Shor.nb", CopyTag -> "b:3.1.5", IndexTag -> "QDensity3.1.5"],
            Item["Step 6: Measure register 1, instead: study all possible results and their probabilites", "Shor.nb", CopyTag -> "b:3.1.6", IndexTag -> "QDensity3.1.6"],
            Item["Step 7: Attempt to infer the period r for all possible measurements", "Shor.nb", CopyTag -> "b:3.1.7", IndexTag -> "QDensity3.1.7"]
          }
        ],
        BrowserCategory["Shor's Factoring algorithm using state vector formula for QFT", None, 
          {
            Item["Step 0: Preliminars: Define functions for QFT [check QFT.nb ] and NumberTheory", "Shor.nb", CopyTag -> "b:3.2.0", IndexTag -> "QDensity3.2.0"],
            Item["Step 1: Choose the number to be factorized: 15, 21, 33, 35, 39, 55, 77 and determine size of registers", "Shor.nb", CopyTag -> "b:3.2.1", IndexTag -> "QDensity3.2.1"],
            Item["Step 2: Load the first register with the integers less than or equal to BoxData[\\(TraditionalForm\\`\\(2\\^\\(n\\_1\\) - 1\\)\\)](a.k.a. Hadamard all qubits in register 1)", "Shor.nb", CopyTag -> "b:3.2.2", IndexTag -> "QDensity3.2.2"],
            Item["Step 3: Select an integer (xguess) coprime to M and load BoxData[\\(TraditionalForm\\`\\(f\\_j \[Congruent]\\ \\(\\(\\(xguess\\^j\\)(\\(mod\\ M\\))\\)\\ into\\ the\\ second\\ register\\)\\)\\)]", "Shor.nb", CopyTag -> "b:3.2.3", IndexTag -> "QDensity3.2.3"],
            Item["Step 4: Now we measure the state of the second register", "Shor.nb", CopyTag -> "b:3.2.4", IndexTag -> "QDensity3.2.4"],
            Item["Step 5: Perform the inverse QFT on first register", "Shor.nb", CopyTag -> "b:3.2.5", IndexTag -> "QDensity3.2.5"],
            Item["Step 6: Measure register 1, instead: study all possible results and their probabilites", "Shor.nb", CopyTag -> "b:3.2.6", IndexTag -> "QDensity3.2.6"],
            Item["Step 7: Attempt to infer the period r for all possible measurements", "Shor.nb", CopyTag -> "b:3.2.7", IndexTag -> "QDensity3.2.7"]
          }
        ],
        BrowserCategory["Shor's Factoring algorithm with explict construction of both registers (using state vectors)", None, 
          {
            Item["Step 0: Define functions for QFT and Number Theory[check ButtonBox[\"QFT.nb \", RuleDelayed[ButtonData, List[\"QFT.nb\", None]], Rule[ButtonStyle, \"Hyperlink\"]]for details]", "Shor.nb", CopyTag -> "b:3.3.0", IndexTag -> "QDensity3.3.0"],
            Item["Step 1: Choose the number to be factorized: 15, 21, 33, 35, 39,55,77 and determine the computer size required ", "Shor.nb", CopyTag -> "b:3.3.1", IndexTag -> "QDensity3.3.1"],
            Item["Step 2: Load the first register with the integers less than or equal to BoxData[\\(TraditionalForm\\`\\(2\\^\\(n\\_1\\) - 1\\)\\)](a.k.a. Hadamard all qubits in register 1)", "Shor.nb", CopyTag -> "b:3.3.2", IndexTag -> "QDensity3.3.2"],
            Item["Step 3: Select an integer (xguess) coprime to M and load BoxData[\\(TraditionalForm\\`\\(f\\_j \[Congruent]\\ \\(\\(\\(xguess\\^j\\)(\\(mod\\ M\\))\\)\\ into\\ the\\ second\\ register\\)\\)\\)]", "Shor.nb", CopyTag -> "b:3.3.3", IndexTag -> "QDensity3.3.3"],
            Item["Step 4: Measure the second register", "Shor.nb", CopyTag -> "b:3.3.4", IndexTag -> "QDensity3.3.4"],
            Item["Step 5: Quantum Fourier Transform register 1", "Shor.nb", CopyTag -> "b:3.3.5", IndexTag -> "QDensity3.3.5"],
            Item["Step 6: Measure register 1, instead, we study all posible measurements and their probabilities", "Shor.nb", CopyTag -> "b:3.3.6", IndexTag -> "QDensity3.3.6"]
          }
        ],
        BrowserCategory["Shor's Factoring algorithm using Mathematica DFT formula", None, 
          {
            Item["Step 0: Preliminars: Define functions for QFT [check QFT.nb ] and NumberTheory", "Shor.nb", CopyTag -> "b:3.4.0", IndexTag -> "QDensity3.4.0"],
            Item["Step 1: Choose the number to be factorized: 15, 21, 33, 35, 39, 55, 77 and determine size of registers", "Shor.nb", CopyTag -> "b:3.4.1", IndexTag -> "QDensity3.4.1"],
            Item["Step 2: Load the first register with the integers less than or equal to BoxData[\\(TraditionalForm\\`\\(2\\^\\(n\\_1\\) - 1\\)\\)](a.k.a. Hadamard all qubits in register 1)", "Shor.nb", CopyTag -> "b:3.4.2", IndexTag -> "QDensity3.4.2"],
            Item["Step 3: Select an integer (xguess) coprime to M and load BoxData[\\(TraditionalForm\\`\\(f\\_j \[Congruent]\\ \\(\\(\\(xguess\\^j\\)(\\(mod\\ M\\))\\)\\ into\\ the\\ second\\ register\\)\\)\\)]", "Shor.nb", CopyTag -> "b:3.4.3", IndexTag -> "QDensity3.4.3"],
            Item["Step 4: Now we measure the state of the second register", "Shor.nb", CopyTag -> "b:3.4.4", IndexTag -> "QDensity3.4.4"],
            Item["Step 5: Perform the inverse QFT on first register", "Shor.nb", CopyTag -> "b:3.4.5", IndexTag -> "QDensity3.4.5"],
            Item["Step 6: Measure register 1, instead: study all possible results and their probabilites", "Shor.nb", CopyTag -> "b:3.4.6", IndexTag -> "QDensity3.4.6"],
            Item["Step 7: Attempt to infer the period r for all possible measurements", "Shor.nb", CopyTag -> "b:3.4.7", IndexTag -> "QDensity3.4.7"]
          }
        ]
      }
    ],
    BrowserCategory["Teleportation", None, 
      {
        BrowserCategory["Teleportation Algorithm: One Qubit", None, 
          {
            Item["Introduction", "Teleportation.nb", CopyTag -> "b:4.0.0", IndexTag -> "QDensity4.0.0"],
            Item["Step 1: Alice prepares the state to be teleported", "Teleportation.nb", CopyTag -> "b:4.0.1", IndexTag -> "QDensity4.0.1"],
            Item["Step 2: Bob prepares the Bell state", "Teleportation.nb", CopyTag -> "b:4.0.2", IndexTag -> "QDensity4.0.2"],
            Item["Step 3: The three Qubits", "Teleportation.nb", CopyTag -> "b:4.0.3", IndexTag -> "QDensity4.0.3"],
            Item["Step 4: Bob sends qubit 2 to Alice", "Teleportation.nb", CopyTag -> "b:4.0.4", IndexTag -> "QDensity4.0.4"],
            Item["Step 5: Alice measures the state of her Qubits", "Teleportation.nb", CopyTag -> "b:4.0.5", IndexTag -> "QDensity4.0.5"]
          }
        ],
        BrowserCategory["Two qubit teleportation algorithm using 6 qubits", None, 
          {
            Item["Introduction", "Teleportation.nb", CopyTag -> "b:4.1.0", IndexTag -> "QDensity4.1.0"],
            Item["Step 1: Alice  prepares the two qubit state to be teleported and a four qubit entangled state is provided", "Teleportation.nb", CopyTag -> "b:4.1.1", IndexTag -> "QDensity4.1.1"],
            Item["Step 2: Alice operates on her four qubits", "Teleportation.nb", CopyTag -> "b:4.1.2", IndexTag -> "QDensity4.1.2"],
            Item["Step 3: The final state density matrix is obtained", "Teleportation.nb", CopyTag -> "b:4.1.3", IndexTag -> "QDensity4.1.3"],
            Item["Step 4: Alice measures her four qubits, 1,2,3,4", "Teleportation.nb", CopyTag -> "b:4.1.4", IndexTag -> "QDensity4.1.4"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 5: Bob state is computed ", "Teleportation.nb", CopyTag -> "b:4.1.5", IndexTag -> "QDensity4.1.5"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 6: Bob performs an arranged transformation on its state to recover the initial state", "Teleportation.nb", CopyTag -> "b:4.1.6", IndexTag -> "QDensity4.1.6"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 7: Moment of truth, we compare both intial Alice state and final Bob state", "Teleportation.nb", CopyTag -> "b:4.1.7", IndexTag -> "QDensity4.1.7"],
            Item["Step 8: For completeness all one qubit partial traces are shown", "Teleportation.nb", CopyTag -> "b:4.1.8", IndexTag -> "QDensity4.1.8"]
          }
        ],
        BrowserCategory["Three qubit teleportation algorithm using 9 qubits", None, 
          {
            Item["Introduction", "Teleportation.nb", CopyTag -> "b:4.2.0", IndexTag -> "QDensity4.2.0"],
            Item["Step 1: Alice  prepares the three qubit state to be teleported", "Teleportation.nb", CopyTag -> "b:4.2.1", IndexTag -> "QDensity4.2.1"],
            Item["Step 2: Alice operates on its four qubits", "Teleportation.nb", CopyTag -> "b:4.2.2", IndexTag -> "QDensity4.2.2"],
            Item["Step 3: The final state density matrix is obtained", "Teleportation.nb", CopyTag -> "b:4.2.3", IndexTag -> "QDensity4.2.3"],
            Item["Step 4: Alice measures her four qubits, 1,2,3,4,5,6", "Teleportation.nb", CopyTag -> "b:4.2.4", IndexTag -> "QDensity4.2.4"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 5: Bob state is computed ", "Teleportation.nb", CopyTag -> "b:4.2.5", IndexTag -> "QDensity4.2.5"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 6: Bob performs an arranged transformation on its state to recover the initial state", "Teleportation.nb", CopyTag -> "b:4.2.6", IndexTag -> "QDensity4.2.6"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 7: Moment of truth, we compare both  intial Alice and final Bob state", "Teleportation.nb", CopyTag -> "b:4.2.7", IndexTag -> "QDensity4.2.7"]
          }
        ],
        BrowserCategory["EPR telerpotation using an GHZ state", None, 
          {
            Item["Introduction", "Teleportation.nb", CopyTag -> "b:4.3.0", IndexTag -> "QDensity4.3.0"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 1: Alice builds the EPR state to be teleported", "Teleportation.nb", CopyTag -> "b:4.3.1", IndexTag -> "QDensity4.3.1"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 2: The GHZ state made of qubits 345 is built", "Teleportation.nb", CopyTag -> "b:4.3.2", IndexTag -> "QDensity4.3.2"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 3: The initial 5 qubit state", "Teleportation.nb", CopyTag -> "b:4.3.3", IndexTag -> "QDensity4.3.3"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 4: Alice receives qubit 3 and performs an operation on qubits 1,2,3 and then Measures them", "Teleportation.nb", CopyTag -> "b:4.3.4", IndexTag -> "QDensity4.3.4"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 5: Alice sends the result of her measurement to Bob ", "Teleportation.nb", CopyTag -> "b:4.3.5", IndexTag -> "QDensity4.3.5"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 6: Final comparison, we compare the EPR state and the state in Bob hands:", "Teleportation.nb", CopyTag -> "b:4.3.6", IndexTag -> "QDensity4.3.6"]
          }
        ],
        BrowserCategory["EPR teleportation Algorithm: (Gorbachev and Trubilko quant-ph/9906110)", None, 
          {
            Item["Introduction", "Teleportation.nb", CopyTag -> "b:4.4.0", IndexTag -> "QDensity4.4.0"],
            Item["Step 1: Alice  prepares the EPR state to be teleported and the GHZ state is given", "Teleportation.nb", CopyTag -> "b:4.4.1", IndexTag -> "QDensity4.4.1"],
            Item["Step 2: The operator corresponding to the network is built", "Teleportation.nb", CopyTag -> "b:4.4.2", IndexTag -> "QDensity4.4.2"],
            Item["Step 3: The final state density matrix is obtained", "Teleportation.nb", CopyTag -> "b:4.4.3", IndexTag -> "QDensity4.4.3"],
            Item["BoxData[FormBox[Cell[TextData[Cell[BoxData[FormBox[Cell[\"\"], TraditionalForm]]]]], TraditionalForm]]Step 4: Bob state is computed and compared to the initial EPR", "Teleportation.nb", CopyTag -> "b:4.4.4", IndexTag -> "QDensity4.4.4"],
            Item["Step 5: For completeness all one qubit partial traces are shown", "Teleportation.nb", CopyTag -> "b:4.4.5", IndexTag -> "QDensity4.4.5"]
          }
        ],
        Item["References", "Teleportation.nb", CopyTag -> "b:4.5", IndexTag -> "QDensity4.5"]
      }
    ]
  }
]